## sugar-0.84 0.84.20

=== debian/changelog ===
sugar-0.84 (0.84.20-1) unstable; urgency=low

  * New upstream maintenance release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Jul 2010 10:30:01 -0400

sugar-0.84 (0.84.19-1) unstable; urgency=low

  * New upstream maintenance release.
  * Bump Policy compliance to standards-version 3.9.1.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Jul 2010 04:18:23 +0200

sugar-0.84 (0.84.18-1) unstable; urgency=low

  * New upstream maintenance release.
  * Unfuzz patches.
  * Update copyright file: Extend some copyright years.
  * Relax transitional conflicts to use Breaks: (not Conflicts:).
  * Bump standards-version to 3.9.0.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Jul 2010 00:30:09 +0200

sugar-0.84 (0.84.16-2) unstable; urgency=low

  * Fix depend/recommend/suggest unversioned on pippy.
  * Fix unversioned-only activity relation expansion.
  * Suppress unneeded auto-resolved build-dependency on python-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Jun 2010 11:18:27 +0200

sugar-0.84 (0.84.16-1) unstable; urgency=low

  * New upstream maintenance release.
  * Update copyright file:
    + Add new owners (same license: GPL-2+).
    + Fix replace license section MIT with Expat and other-X, adding
      comment on Expat variation.
    + Rename and tighten other-GAP-* sections.
    + Reorder files sections to better match copyright check file.
  * Refer to FSF website (not postal address) in rules file header.
  * Have sugar-session and sucrose recommend (not suggest) officially
    packaged activities.
  * Have python-jarabe recommend, and sucrose depend on, avahi-autoipd.
    Closes: bug#580808, thanks to Sascha Silbe.
  * Have python-jarabe recommend, and sucrose depend on, alsa-utils.
    Closes: bug#581504, thanks to Sascha Silbe.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 May 2010 23:28:56 +0200

sugar-0.84 (0.84.15-1) unstable; urgency=low

  * New upstream maintenance release.
  * Tidy copyright sections in copyright file.
  * Have sugar-session recommend (and sucrose depend on) gvfs, for GIO
    removable media support. Closes: bug#577681, thanks to Sascha Silbe.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Apr 2010 22:12:41 +0200

sugar-0.84 (0.84.13-1) unstable; urgency=low

  * New upstream maintenance release.
  * Drop all local CDBS snippets: included with main cdbs package now.
  * Revert apply patches to source in Git.
  * Refresh and unfuzz patches.
  * Drop build-dependencies on quilt and patchutils.
  * Relax build-dependencies on python-central and python-dev.
  * Relax build-dependency on devscripts slightly, to ease backporting.
  * Tighten build-dependency on cdbs.
  * Add patch 0001 to fix a syntax error, cherry-picked from upstream
    Git.
  * Add git-buildpackage hint about use of bzip2-compressed tarballs.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 14:28:05 +0200

sugar-0.84 (0.84.9-1) unstable; urgency=low

  * New upstream bugfix release.
  * Update debian/copyright (just shuffling around, no new owners or
    licenses).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Dec 2009 18:49:39 +0100

sugar-0.84 (0.84.8-2) unstable; urgency=medium

  * Have python-jarabe depend on sugar-presence-service. Closes:
    bug#560292, thanks to Fabian Greffrath.
  * Set urgency=medium as above affects the package in testing too.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Dec 2009 13:05:59 +0100

sugar-0.84 (0.84.8-1) unstable; urgency=low

  * New upstream bugfix release.
  * Have python-jarabe depend on python-simplejson (and not python-
    cjson).
  * Drop obsolete patch syncing with upstream Git HEAD.
  * Update debian/copyright (no new licenses or owners).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Dec 2009 13:21:46 +0100

sugar-0.84 (0.84.7-2) unstable; urgency=low

  * Adjust notes on when transitional conflicts/replaces can be dropped.
  * Have versioned sucrose conflict/replace (not only provide) virtual
    unversioned sugar.
  * Add note on need for python-wnck.
  * Fix drop sugar-session dependency on python-wnck (until 0.86 only
    Jarabe and sugar-tools need it).
  * Fix short and long descriptions for sugar-emulator. Closes:
    bug#558903, thanks to Rhonda.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Dec 2009 02:00:23 +0100

sugar-0.84 (0.84.7-1) unstable; urgency=low

  * New upstream bugfix release.
  * Regenerate and apply patch to sync with upstream git head.
  * Unfuzz patch integrating danish locale with autotools.
  * Update local CDBS snippets:
    + Fix python-vars.mk to allow overriding DEB_PYTHON_PACKAGES.
    + Fix invoke Python debhelper hook right after dh_install (not
      before) to include files installed through debhelper.
    + Update upstream-tarball.mk to no longer recompressing bzip-
      compressed upstream tarballs in get-orig-source rule.
  * Split out new binary packages python-jarabe, sugar-session,
    sugar-emulator and sugar-tools, and replace/rename now empty sugar
    package with sucrose (all with trailing -$BRANCH).
    As a result, parts of Sugar can be installed alone, and installing
    sucrose ensures that all official parts of a released sucrose gets
    installed (in the future - not all parts are packaged officially for
    Debian yet).
    Provides/conflicts/replaces are temporarily provided for old
    versioned sugar packages to help migration.
    Provides/conflicts/replaces for unversioned "sugar" will be kept, to
    have "aptitude install sugar" be sensible (with only a single branch
    available it installs, with multiple branches it lists the options).
  * Use locally written XDG-compliant desktop file for sugar-emulator.
  * Recommend (not depend on) x11-xserver-utils (used in controlpanel).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Nov 2009 19:03:07 +0100

sugar-0.84 (0.84.6-12) unstable; urgency=low

  * Tighten python-gobject dependency to versions providing GIO binding.
  * Beautify comments in debian/rules.
  * Restructure debian/rules to explicitly use sugar-$(pkgbranch).

