## sugar-0.84 0.84.30

=== debian/changelog ===
sugar-0.84 (0.84.30-1) unstable; urgency=low

  * New upstream stable release.
  * Rewrite copyright file using Bazaar rev. 137 draft of DEP5 format.
    Merge Files sections with only Redhat and/or OLPC as authors and
    same licensing.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 05 Jan 2011 22:19:07 +0100

sugar-0.84 (0.84.29-1) unstable; urgency=low

  * New upstream stable release.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Dec 2010 11:47:56 +0100

sugar-0.84 (0.84.27-1) unstable; urgency=low

  * New upstream stable release.
  * Have python-jarabe depend on python-xapian (introduced in 0.84.26).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Dec 2010 12:31:02 +0100

sugar-0.84 (0.84.25-1) unstable; urgency=low

  * New upstream stable release.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Dec 2010 10:21:43 +0100

sugar-0.84 (0.84.24-1) unstable; urgency=low

  * New upstream stable release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Oct 2010 01:26:22 +0200

sugar-0.84 (0.84.23-3) unstable; urgency=low

  * Have sugar-session (not sucrose) provide unversioned sugar (and not
    replace or conflict with it).
  * Have sugar-session recommend sucrose.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 13 Oct 2010 09:08:04 +0200

sugar-0.84 (0.84.23-2) unstable; urgency=low

  * Fix cleanup double Fructose activity relations.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Oct 2010 22:35:56 +0200

sugar-0.84 (0.84.23-1) unstable; urgency=low

  * New upstream stable release.
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir, and
    add source local-options.
  * Shorten Vcs-Git stanza.
  * Have python-jarabe depend on python-gconf.
  * Refresh patches.
  * Update copyright file: extend some copyrights with additional years.
  * Update Fructose activity relations to match activities (but not
    versions) at upstream release notes.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Oct 2010 22:24:36 +0200
