=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: devscripts (>= 2.10.7~),
- dh-buildinfo,
  python-central,
  cdbs (>= 0.4.75~),
  python,
  debhelper (>= 6),
+ dh-buildinfo,
  libglib2.0-dev,
  python-gtk2-dev,
  libgconf2-dev,
@@ -17,7 +17,7 @@
  shared-mime-info,
  python-empy
 Standards-Version: 3.9.1
-Vcs-Git: git://git.debian.org/git/collab-maint/sugar.git
+Vcs-Git: git://git.debian.org/git/collab-maint/sugar
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sugar.git;a=shortlog;h=refs/heads/master-0.84
 Homepage: http://wiki.sugarlabs.org/go/Sugar
 XS-Python-Version: all
