=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 DEB_UPSTREAM_PACKAGE = $(DEB_SOURCE_PACKAGE:%-$(pkgbranch)=%)
 DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/glucose/$(DEB_UPSTREAM_PACKAGE)
 DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
-DEB_UPSTREAM_TARBALL_MD5 = d4bfb6ec937182090f775cadef706fd6
+DEB_UPSTREAM_TARBALL_MD5 = 226f5d7db8c01c92a964b32819bce414
 
 # Move aside (and revert at cleanup) upstream shipped temporary files
 upstreamtmpfiles = src/jarabe/config.py
@@ -79,17 +79,23 @@
 # $(3): fallback flag (if non-empty unversioned fallback is added)
 sugar_expand_activities = $(foreach stem,$(1),$(comma) $(patsubst %,sugar-$(stem)-activity-%$(if $(3), | ),$(2))$(if $(if $(2),,true)$(3),sugar-$(stem)-activity))
 
-session_expand_activities = $(call sugar_expand_activities,read browse,$(pkgbranch),$(1))
-session_expand_activities_missing = $(call sugar_expand_activities,pippy,,$(1))
-session_expand_activities_missing += $(call sugar_expand_activities,write imageviewer jukebox,$(pkgbranch),$(1))
+# Fructose activities
+session_expand_activities += $(call sugar_expand_activities,terminal turtleart calculate pippy,,$(1))
+session_expand_activities += $(call sugar_expand_activities,read chat browse,$(pkgbranch),$(1))
+# Fructose activities not avilable in Debian main for this Sugar branch
+session_expand_activities_relaxed += $(call sugar_expand_activities,etoys,,$(1))
+session_expand_activities_relaxed += $(call sugar_expand_activities,jukebox imageviewer write log,$(pkgbranch),$(1))
 
 # Needed (always/often/sometimes) at runtime
 #  * python-wnck needed by python-jarabe (several places) and command
 #    sugar-ui-check. Fallback unneeded since python-wnck 2.24.0-2: can
 #    be dropped after Squeeze+1
+#  * python-gconf fallback unneeded since python-gconf 2.22.3-3: can be
+#    dropped after Squeeze+1
 #  * python-gobject versioning needed for GIO bindings
 #  * python-telepathy versioning needed for use of
 #    CONNECTION_INTERFACE_REQUESTS ABI
+#  * python-xapian needed in jarabe.journal.volumestoolbar
 #  * matchbox-window-manager needed by command sugar
 #  * xserver-xephyr and x11-utils (xdpyinfo) needed by command
 #    sugar-emulator
@@ -120,9 +126,13 @@
 CDBS_DEPENDS_sugar-emulator-$(pkgbranch) += , dbus-x11, $(emulator_exec)
 CDBS_DEPENDS_sugar-tools-$(pkgbranch) = python-sugar-$(pkgbranch), python-sugar-toolkit-$(pkgbranch), python-jarabe-$(pkgbranch)
 CDBS_DEPENDS_python-jarabe-$(pkgbranch) = python-sugar-$(pkgbranch), python-sugar-toolkit-$(pkgbranch), sugar-presence-service-$(pkgbranch)
-CDBS_DEPENDS_python-jarabe-$(pkgbranch) += , python-hippocanvas, python-gobject (>= 2.15.0), python-gtk2, python-cairo, python-dbus, python-telepathy (>= 0.15.9), python-simplejson, python-gtksourceview2
+CDBS_DEPENDS_python-jarabe-$(pkgbranch) += , python-hippocanvas, python-gobject (>= 2.15.0), python-gtk2, python-cairo, python-dbus, python-telepathy (>= 0.15.9), python-simplejson, python-gtksourceview2, python-xapian
 CDBS_DEPENDS_python-jarabe-$(pkgbranch) += , python-wnck | python-gnome2-desktop (<= 2.24.0-1)
-CDBS_RECOMMENDS_sugar-session-$(pkgbranch) = sugar-emulator-$(pkgbranch), sugar-tools-$(pkgbranch), python-carquinyol-$(pkgbranch), $(call session_expand_activities,true)
+CDBS_DEPENDS_python-jarabe-$(pkgbranch) += , python-gconf | python-gnome2 (<= 2.22.3-2)
+CDBS_RECOMMENDS_sugar-session-$(pkgbranch) = sugar-emulator-$(pkgbranch), sugar-tools-$(pkgbranch), python-carquinyol-$(pkgbranch)
+CDBS_RECOMMENDS_sugar-session-$(pkgbranch) = sugar-emulator-$(pkgbranch), sugar-tools-$(pkgbranch), python-carquinyol-$(pkgbranch)
+CDBS_RECOMMENDS_sugar-session-$(pkgbranch) += , $(call session_expand_activities,true)
+CDBS_RECOMMENDS_sugar-session-$(pkgbranch) += , sucrose-$(pkgbranch)
 CDBS_RECOMMENDS_sugar-session-$(pkgbranch) += , $(jarabe_initprofile), $(session_nm), $(session_gio), $(jarabe_cp_cli_exec)
 CDBS_RECOMMENDS_sugar-tools-$(pkgbranch) = sugar-session-$(pkgbranch)
 CDBS_RECOMMENDS_sugar-tools-$(pkgbranch) += , python-gobject (>= 2.15.0), python-gtk2, python-dbus
@@ -130,19 +140,8 @@
 CDBS_RECOMMENDS_sugar-tools-$(pkgbranch) += , $(session_nm), $(jarabe_cp_cli_exec), dbus
 CDBS_RECOMMENDS_python-jarabe-$(pkgbranch) = sugar-session-$(pkgbranch)
 CDBS_RECOMMENDS_python-jarabe-$(pkgbranch) += , $(session_nm), $(jarabe_nm), $(jarabe_initprofile), $(jarabe_audio)
-CDBS_SUGGESTS_sugar-session-$(pkgbranch) = $(call session_expand_activities_missing,true)
+CDBS_SUGGESTS_sugar-session-$(pkgbranch) = $(call session_expand_activities_relaxed,true)
 CDBS_SUGGESTS_sugar-tools-$(pkgbranch) = $(tools_debug)
 CDBS_SUGGESTS_python-jarabe-$(pkgbranch) = $(emulator_exec)
 
-CDBS_DEPENDS_sucrose-$(pkgbranch) = sugar-session-$(pkgbranch), sugar-emulator-$(pkgbranch), sugar-tools-$(pkgbranch), python-carquinyol-$(pkgbranch), $(call session_expand_activities)
-CDBS_DEPENDS_sucrose-$(pkgbranch) += , $(session_nm), $(session_gio), $(jarabe_nm), $(jarabe_initprofile), $(jarabe_cp_cli_exec), $(jarabe_audio), $(tools_debug)
-CDBS_SUGGESTS_sucrose-$(pkgbranch) = $(call session_expand_activities_missing)
-
-# Ensure only one variant is installed at a time (Debian Policy 7.6.2)
-CDBS_PROVIDES_python-jarabe-$(pkgbranch) = python-jarabe
-CDBS_CONFLICTS_python-jarabe-$(pkgbranch) = python-jarabe
-CDBS_REPLACES_python-jarabe-$(pkgbranch) = python-jarabe
-CDBS_PROVIDES_sugar-session-$(pkgbranch) = sugar-session
-CDBS_CONFLICTS_sugar-session-$(pkgbranch) = sugar-session
-CDBS_REPLACES_sugar-session-$(pkgbranch) = sugar-session
-CDBS_PROVIDES_sugar-emulator-$(pkgbranch) = sugar-emulator
+CDBS_DEPENDS_sucrose-$(pkgbranch) = sugar-session-$(pkgbranch), sugar-emulator-$(pkgbranch), sugar-tools-$(pkgbranch), python-carquinyol-$(pkgbranch)
