## sugar-0.84 0.84.32

=== debian/changelog ===
sugar-0.84 (0.84.32-2) unstable; urgency=low

  * Team upload.
  * Drop read activity from sucrose meta package. With the switch to GNOME 3
    the python-evince binding has been dropped and replaced by
    gir1.2-evince-3.0 and PyGObject.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Nov 2011 19:59:54 +0100

sugar-0.84 (0.84.32-1) unstable; urgency=low

  * New upstream stable release.
  * Recommend (and for sucrose: depend on) modemmanager.
  * Drop some obsolete Breaks+Replaces quirks.
  * Update copyright file:
    + Adjust to draft 174 of DEP-5 format.
    + Fix use verbatim Expat and GAP licenses.
    + Fix refer to versioned GPL licenses.
    + Rename license shortnames to indicate derivation.
    + Rephrase GPL comments slightly.
  * Bump policy compliance to standards-version 3.9.2.
  * Use Python helper python2 (not python-central).
    Closes: bug#617075. Thanks to Matthias Klose.
  * Fix tighten build-dependency on cdbs.
  * Relax build-dependencies on debhelper and devscripts: satisfied even
    in oldstable.
  * Bump debhelper compatibility level to 7.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Sep 2011 15:46:10 +0200
