=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: devscripts (>= 2.10.7~),
- python-central,
- cdbs (>= 0.4.75~),
- python,
- debhelper (>= 6),
+Build-Depends: devscripts,
+ python (>= 2.6.5),
+ cdbs (>= 0.4.97~),
+ debhelper,
  dh-buildinfo,
  libglib2.0-dev,
  python-gtk2-dev,
@@ -16,11 +15,10 @@
  intltool,
  shared-mime-info,
  python-empy
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/sugar
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sugar.git;a=shortlog;h=refs/heads/master-0.84
 Homepage: http://wiki.sugarlabs.org/go/Sugar
-XS-Python-Version: all
 
 Package: sucrose-0.84
 Architecture: all
@@ -49,7 +47,6 @@
 Breaks: ${cdbs:Breaks}
 Conflicts: ${cdbs:Conflicts}
 Replaces: ${cdbs:Replaces}
-XB-Python-Version: ${python:Versions}
 Description: Sugar graphical shell - window manager
  Sugar is a graphical user interface aimed at children.
  .
@@ -68,7 +65,6 @@
 Breaks: ${cdbs:Breaks}
 Conflicts: ${cdbs:Conflicts}
 Replaces: ${cdbs:Replaces}
-XB-Python-Version: ${python:Versions}
 Description: Sugar graphical shell - emulator
  Sugar is a graphical user interface aimed at children.
  .
@@ -88,7 +84,6 @@
 Breaks: ${cdbs:Breaks}
 Conflicts: ${cdbs:Conflicts}
 Replaces: ${cdbs:Replaces}
-XB-Python-Version: ${python:Versions}
 Description: Sugar graphical shell - window manager
  Sugar is a graphical user interface aimed at children.
  .
@@ -113,7 +108,6 @@
 Breaks: ${cdbs:Breaks}
 Conflicts: ${cdbs:Conflicts}
 Replaces: ${cdbs:Replaces}
-XB-Python-Version: ${python:Versions}
 Description: Sugar graphical shell - library
  Sugar is a graphical user interface aimed at children.
  .
