=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,7 @@
 pkgbranch = 0.84
 
 DEB_BUILDDIR = build
-DEB_PYTHON_SYSTEM = pycentral
-DEB_PYTHON_PACKAGES = python-jarabe-$(pkgbranch) sugar-session-$(pkgbranch) sugar-emulator-$(pkgbranch) sugar-tools-$(pkgbranch)
+DEB_PYTHON2_MODULE_PACKAGES = python-jarabe-$(pkgbranch) sugar-session-$(pkgbranch) sugar-emulator-$(pkgbranch) sugar-tools-$(pkgbranch)
 include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/python-autotools.mk
@@ -32,7 +31,7 @@
 DEB_UPSTREAM_PACKAGE = $(DEB_SOURCE_PACKAGE:%-$(pkgbranch)=%)
 DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/glucose/$(DEB_UPSTREAM_PACKAGE)
 DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
-DEB_UPSTREAM_TARBALL_MD5 = 226f5d7db8c01c92a964b32819bce414
+DEB_UPSTREAM_TARBALL_MD5 = bdfd5ca806ac57c676100186c6ec51e9
 
 # Move aside (and revert at cleanup) upstream shipped temporary files
 upstreamtmpfiles = src/jarabe/config.py
@@ -81,7 +80,7 @@
 
 # Fructose activities
 session_expand_activities += $(call sugar_expand_activities,terminal turtleart calculate pippy,,$(1))
-session_expand_activities += $(call sugar_expand_activities,read chat browse,$(pkgbranch),$(1))
+session_expand_activities += $(call sugar_expand_activities,chat browse,$(pkgbranch),$(1))
 # Fructose activities not avilable in Debian main for this Sugar branch
 session_expand_activities_relaxed += $(call sugar_expand_activities,etoys,,$(1))
 session_expand_activities_relaxed += $(call sugar_expand_activities,jukebox imageviewer write log,$(pkgbranch),$(1))
@@ -111,7 +110,7 @@
 #    underlying audio channels (Sugar can only control main volume)
 #  * gdb needed by command sugar-launch
 #  * gvfs needed for GIO removable media support
-session_nm = network-manager
+session_nm = network-manager, modemmanager
 session_gio = gvfs
 emulator_exec = xserver-xephyr, x11-utils
 jarabe_initprofile = openssh-client
